# List expressions

> **<sup>Syntax</sup>**\
> _ListExpression_ :\
> &nbsp;&nbsp; `[` _ListElements_<sup>?</sup> `]`
>
> _ListElements_ :\
> &nbsp;&nbsp; [_Expression_] (`,` [_Expression_])<sup>*</sup> `,`<sup>?</sup>

A *list expression* constructs [array values].

The syntax for list expressions is a parenthesized, comma separated list of expressions, called the *list initializer operands*. The number of list initializer operands must be equal to the static size of the array type. The types of all list initializer operands must conform to the type of the array.

Examples of tuple expressions and their types:

| Expression           | Type         |
| -------------------- | ------------ |
| `[1, self.get_number()]`             |   `u256[2]`  |
| `[true, false, false]`         | `bool[3]` |

An array item can be accessed via an [index expression].

Example:

```python
contract Foo:

    fn get_val3() -> u256:
        return 3

    pub fn baz():
        let val1: u256 = 2
        # A list expression
        let foo: Array<u256, 3> = [1, val1, get_val3()]
```

[_Expression_]: ./index.md
[array values]: ../type_system/types/array.md
[index expression]: ./indexing.md
